# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.extensions
Class Who.Rel

    java.lang.Object
      com.google.gdata.data.extensions.Who.Rel

Enclosing class:
  Who

    public static final class Who.Rel

extends java.lang.Object

Relation type. Describes the meaning of this association.

Field Summary
`static java.lang.String` `EVENT_ATTENDEE`
`static java.lang.String` `EVENT_ORGANIZER`
`static java.lang.String` `EVENT_PERFORMER`
`static java.lang.String` `EVENT_SPEAKER`
`static java.lang.String` `MESSAGE_BCC`
`static java.lang.String` `MESSAGE_CC`
`static java.lang.String` `MESSAGE_FROM`
`static java.lang.String` `MESSAGE_REPLY_TO`
`static java.lang.String` `MESSAGE_TO`
`static java.lang.String` `TASK_ASSIGNED_TO`

Constructor Summary
`Who.Rel()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EVENT_ATTENDEE

    public static final java.lang.String EVENT_ATTENDEE

See Also:
  Constant Field Values

### EVENT_ORGANIZER

    public static final java.lang.String EVENT_ORGANIZER

See Also:
  Constant Field Values

### EVENT_SPEAKER

    public static final java.lang.String EVENT_SPEAKER

See Also:
  Constant Field Values

### EVENT_PERFORMER

    public static final java.lang.String EVENT_PERFORMER

See Also:
  Constant Field Values

### TASK_ASSIGNED_TO

    public static final java.lang.String TASK_ASSIGNED_TO

See Also:
  Constant Field Values

### MESSAGE_FROM

    public static final java.lang.String MESSAGE_FROM

See Also:
  Constant Field Values

### MESSAGE_REPLY_TO

    public static final java.lang.String MESSAGE_REPLY_TO

See Also:
  Constant Field Values

### MESSAGE_TO

    public static final java.lang.String MESSAGE_TO

See Also:
  Constant Field Values

### MESSAGE_CC

    public static final java.lang.String MESSAGE_CC

See Also:
  Constant Field Values

### MESSAGE_BCC

    public static final java.lang.String MESSAGE_BCC

See Also:
  Constant Field Values

Constructor Detail

### Who.Rel

    public Who.Rel()